import { Theme } from "@mui/material";
import { SxProps } from "@mui/system";
import * as React from "react";
export declare type NerdAppBarProps = {
    title?: string;
    logo?: string;
    variant?: "dense" | "regular";
    content?: Array<NerdAppBarContent | JSX.Element>;
};
export declare type NerdAppBarContent = {
    title?: string;
    startIcon?: JSX.Element;
    endIcon?: JSX.Element;
    variant?: "text" | "outlined" | "contained";
    size?: "small" | "medium" | "large";
    sx?: SxProps<Theme>;
    nested?: Array<NerdAppBarNestedContent>;
    divider?: boolean;
    href?: string;
    callback?: (event: React.MouseEvent<HTMLButtonElement>) => void;
};
export declare type NerdAppBarNestedContent = {
    title?: string;
    subtitle?: string;
    icon?: JSX.Element | string;
    divider?: boolean;
    href?: string;
};
/**
 * @component
 * @param {string} title title of the app
 * @param {string} logo Logo of the app
 * @param {string} variant Size of the appBar (dense or regular)
 * @param {Array<NerdAppBarContent | JSX.Element>} content Height of the appbar. Could be dense or regular.
 * @returns {JsxElement} UserDisplay component
 */
export declare function NerdAppBar({ title, logo, content, variant, }: NerdAppBarProps): JSX.Element;
/**
 * @param {NerdAppBarContent} c Content of the menu item
 * @returns {JSX.Element} the menu
 **/
export declare function NerdAppBarMenuItem(c: NerdAppBarContent): JSX.Element;
